List the branches of a project
GET
/api/v1/projects/{projectId}/branches
const url = 'https://app.avera.io/api/v1/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/branches';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.avera.io/api/v1/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/branchesParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”projectId
required
string format: uuid
Responses
Section titled “Responses”OK
Media type*/*
Array<object>
object
id
required
string format: uuid
projectId
required
string format: uuid
key
required
string
name
required
string
description
string | null
isMain
required
boolean
status
required
string
sourceBranchId
string | null format: uuid
headCommitId
string | null format: uuid
createdAt
required
string format: date-time
createdBy
required
string format: uuid